Eclipse Community Forums
Forum Search:

Search      Help    Register    Login    Home
Home » Eclipse Projects » Remote Application Platform (RAP) » War Product Configuration | RAP 1.5 M4(Cyclic Dependency)
War Product Configuration | RAP 1.5 M4 [message #769899] Thu, 22 December 2011 21:44 Go to next message
Raj  is currently offline Raj
Messages: 74
Registered: August 2011
Member
Hi

I am getting the below error when i use the War Product configuration Tool.
A cycle was detected when generating the classpath com.eclipsesource.singlesourcing_1.0.0, org.eclipse.rap.ui_1.5.0.20111222-0213, org.eclipse.core.runtime_3.8.0.v20110920-2042, org.eclipse.equinox.app_1.3.100.v20111010-1614, org.eclipse.osgi.services_3.3.0.v20110513, org.eclipse.osgi.services_3.3.0.v20111117-1210, org.eclipse.osgi.services_3.3.0.v20110513.

I see the org.eclipse.osgi.services_3.3.0.v20111117-1210(org.eclipse.osgi.services_3.3.0.v20111117-1210.jar) comes with the new RAP 1.5 M4 target platform.

So i remove the org.eclipse.osgi.services_3.3.0.v20110513 from my target platform.

I am using the Eclipse 3.7

But i am still getting the cyclic dependency.

Any pointers??

Thanks
Raj
Re: War Product Configuration | RAP 1.5 M4 [message #769906 is a reply to message #769899] Thu, 22 December 2011 22:08 Go to previous messageGo to next message
Raj  is currently offline Raj
Messages: 74
Registered: August 2011
Member
If i remove the bundle org.eclipse.osgi.services_3.3.0.v20110513 from my target platform i get the below error.

Processing inclusion from feature org.eclipse.pde.container.feature: Bundle org.eclipse.core.resources_3.7.100.v20110510-0712 failed to resolve.:
Missing required plug-in org.eclipse.core.expressions_[3.2.0,4.0.0).

Any pointer?

Thanks
Raj
Re: War Product Configuration | RAP 1.5 M4 [message #769908 is a reply to message #769899] Thu, 22 December 2011 22:08 Go to previous messageGo to next message
Raj is currently offline Raj
Messages: 67
Registered: July 2009
Member
If i remove the bundle org.eclipse.osgi.services_3.3.0.v20110513 from my target platform i get the below error.

Processing inclusion from feature org.eclipse.pde.container.feature: Bundle org.eclipse.core.resources_3.7.100.v20110510-0712 failed to resolve.:
Missing required plug-in org.eclipse.core.expressions_[3.2.0,4.0.0).

Any pointer?

Thanks
Raj
Re: War Product Configuration | RAP 1.5 M4 [message #769916 is a reply to message #769908] Thu, 22 December 2011 22:24 Go to previous messageGo to next message
Angelo ZERR is currently offline Angelo ZERR
Messages: 121
Registered: July 2009
Senior Member
Hi Raj,

I think it's a bug of War Product https://bugs.eclipse.org/bugs/show_bug.cgi?id=338400
I had hadc the same problem to build our RAP Application and the only solution was to modify sources of War Product and rebuuld it (see attached patch of the bug).

Good luck.

Regards Angelo
Re: War Product Configuration | RAP 1.5 M4 [message #769935 is a reply to message #769916] Thu, 22 December 2011 23:48 Go to previous messageGo to next message
Raj  is currently offline Raj
Messages: 74
Registered: August 2011
Member
This bug is with RAP 1.4 M5 and i am getting in the build RAP 1.5 M4.
Re: War Product Configuration | RAP 1.5 M4 [message #769937 is a reply to message #769916] Thu, 22 December 2011 23:48 Go to previous messageGo to next message
Raj is currently offline Raj
Messages: 67
Registered: July 2009
Member
This bug is with RAP 1.4 M5 and i am getting in the build RAP 1.5 M4.
Re: War Product Configuration | RAP 1.5 M4 [message #770237 is a reply to message #769935] Fri, 23 December 2011 17:59 Go to previous message
Raj  is currently offline Raj
Messages: 74
Registered: August 2011
Member
I think this is a bug...I able to reproduce the same bug with the demo application included in the build 1.5M4.
Previous Topic:Update to RAP 1.5M4
Next Topic:JMeter | RAP
Goto Forum:
  


Current Time: Fri Oct 24 18:06:57 GMT 2014

Powered by FUDForum. Page generated in 0.03848 seconds
.:: Contact :: Home ::.

Powered by: FUDforum 3.0.2.
Copyright ©2001-2010 FUDforum Bulletin Board Software